﻿using Eingabeverwaltung.Metamodell;
using System.Collections.Generic;

public static class Util
{
    public static string ListSubstitutionToString(List<Substitution> subs)
    {
        string result = "[ ";
        foreach (Substitution sub in subs)
            result += sub.tree.ToString() + " / " + sub.variable.name + " ";
        result += "]";
        return result;
    }
    public static string ErrorListToString(List<Error> errors)
    {
        string result = "Errors: { ";
        foreach (Error err in errors)
            result += err.errorCode + "(" + err.Output + ") ";
        result += "}";
        return result;
    }
}
