﻿using System;

namespace Eingabeverwaltung.Metamodell
{
    public class Error
    {
        public readonly int errorCode;
        private string output;

        public Error(int errorCode)
        {
            this.errorCode = errorCode;
            output = null;
        }
        public Error(int errorCode, string output)
        {
            this.errorCode = errorCode;
            this.output = output;
        }

        public string Output
        {
            get
            {
                return output;
            }
            set
            {
                if (output == null) output = value;
                else throw new Exception("ERROR: It was tried to change Error.output while it was set!");
            }
        }
    }
}
