﻿using Eingabeverwaltung;
using Ausgabeverwaltung;

namespace Testverwaltung
{
    public abstract class Test {

        protected string resultString;
        protected int numTests;
        protected bool passed;
        protected TestEingabeverwalter ein;
        protected Ausgabeverwalter aus;

        public Test() 
        { 
            resultString = "";
            ein = new TestEingabeverwalter();
            aus = new Ausgabeverwalter();
            passed = true;
        }

        public abstract bool run();
        public string getResultString() => resultString+"\r\n\r\n";
        public int getNumTests() => numTests;

        protected string assert(int TestID, string shallValue, string isValue) => assert(TestID.ToString(), shallValue, isValue);
        protected string assert(string TestID, string shallValue, string isValue)
        {
            bool pass = shallValue == isValue;
            passed = passed && pass;
            if (pass) return "Test " + TestID + " passed.\r\n";
            else return "\r\nTest " + TestID + " failed.\r\nshallValue:\r\n" + shallValue + "\r\nisValue:\r\n" + isValue + "\r\n\r\n";
        }
    }
}
