﻿using Eingabeverwaltung.Metamodell;
using System;

namespace Ueberpruefung.CheckTransformation
{
	public class CheckTermPart_isSubTreeFrom_StartTree : ElementChecker
	{
		public CheckTermPart_isSubTreeFrom_StartTree() { }

        public override bool check(Element e)
        {
            if (e is TransformationStep ts)
            {
                bool result = ts.startTree.findSubTree(ts.termPart).Count > 0;
                if (!result) ts.errors.Add(new Error(6));
                return result;
            }
            else throw new InvalidOperationException();
        }
    }
}